net.sourceforge.pmd

## Class SuppressWarningsTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.SuppressWarningsTest

-     public class SuppressWarningsTest
      extends RuleTst

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

      `DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuppressWarningsTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testClassLevelSuppression()`
    `void` | `testConstructorLevelSuppression()`
    `void` | `testFieldLevelSuppression()`
    `void` | `testInheritedSuppression()`
    `void` | `testLocalVariableLevelSuppression()`
    `void` | `testMethodLevelSuppression()`
    `void` | `testNoSuppressionBlank()`
    `void` | `testNoSuppressionSomethingElseS()`
    `void` | `testParameterLevelSuppression()`
    `void` | `testSpecificSuppression()`
    `void` | `testSpecificSuppressionAtTopLevel()`
    `void` | `testSpecificSuppressionMulitpleValues1()`
    `void` | `testSpecificSuppressionMulitpleValues2()`
    `void` | `testSpecificSuppressionValue1()`
    `void` | `testSpecificSuppressionValue2()`
    `void` | `testSpecificSuppressionValue3()`
    `void` | `testSuppressAll()`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

      `extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuppressWarningsTest

          public SuppressWarningsTest()

  - ### Method Detail

    - #### testClassLevelSuppression

          public void testClassLevelSuppression()
                                         throws Throwable

      Throws:
        `Throwable`

    - #### testInheritedSuppression

          public void testInheritedSuppression()
                                        throws Throwable

      Throws:
        `Throwable`

    - #### testMethodLevelSuppression

          public void testMethodLevelSuppression()
                                          throws Throwable

      Throws:
        `Throwable`

    - #### testConstructorLevelSuppression

          public void testConstructorLevelSuppression()
                                               throws Throwable

      Throws:
        `Throwable`

    - #### testFieldLevelSuppression

          public void testFieldLevelSuppression()
                                         throws Throwable

      Throws:
        `Throwable`

    - #### testParameterLevelSuppression

          public void testParameterLevelSuppression()
                                             throws Throwable

      Throws:
        `Throwable`

    - #### testLocalVariableLevelSuppression

          public void testLocalVariableLevelSuppression()
                                                 throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppression

          public void testSpecificSuppression()
                                       throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppressionValue1

          public void testSpecificSuppressionValue1()
                                             throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppressionValue2

          public void testSpecificSuppressionValue2()
                                             throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppressionValue3

          public void testSpecificSuppressionValue3()
                                             throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppressionMulitpleValues1

          public void testSpecificSuppressionMulitpleValues1()
                                                      throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppressionMulitpleValues2

          public void testSpecificSuppressionMulitpleValues2()
                                                      throws Throwable

      Throws:
        `Throwable`

    - #### testNoSuppressionBlank

          public void testNoSuppressionBlank()
                                      throws Throwable

      Throws:
        `Throwable`

    - #### testNoSuppressionSomethingElseS

          public void testNoSuppressionSomethingElseS()
                                               throws Throwable

      Throws:
        `Throwable`

    - #### testSuppressAll

          public void testSuppressAll()
                               throws Throwable

      Throws:
        `Throwable`

    - #### testSpecificSuppressionAtTopLevel

          public void testSpecificSuppressionAtTopLevel()
                                                 throws Throwable

      Throws:
        `Throwable`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.